Commit 1c26d25f authored by Thomas Markiewicz's avatar Thomas Markiewicz

Integrated latest lonegpg plugin call into mail to test gpgmeVersion

parent b9b97d82
Pipeline #27815 failed with stages
in 4 minutes and 50 seconds
......@@ -5,6 +5,11 @@ PODS:
- FMDB (2.7.5):
- FMDB/standard (= 2.7.5)
- FMDB/standard (2.7.5)
- lonegpg (0.0.1):
- Flutter
- lonegpg/gpgme (= 0.0.1)
- lonegpg/gpgme (0.0.1):
- Flutter
- path_provider (0.0.1):
- Flutter
- shared_preferences (0.0.1):
......@@ -20,6 +25,7 @@ PODS:
DEPENDENCIES:
- Flutter (from `.symlinks/flutter/ios`)
- flutter_secure_storage (from `.symlinks/plugins/flutter_secure_storage/ios`)
- lonegpg (from `.symlinks/plugins/lonegpg/ios`)
- path_provider (from `.symlinks/plugins/path_provider/ios`)
- shared_preferences (from `.symlinks/plugins/shared_preferences/ios`)
- sqflite (from `.symlinks/plugins/sqflite/ios`)
......@@ -35,6 +41,8 @@ EXTERNAL SOURCES:
:path: ".symlinks/flutter/ios"
flutter_secure_storage:
:path: ".symlinks/plugins/flutter_secure_storage/ios"
lonegpg:
:path: ".symlinks/plugins/lonegpg/ios"
path_provider:
:path: ".symlinks/plugins/path_provider/ios"
shared_preferences:
......@@ -50,6 +58,7 @@ SPEC CHECKSUMS:
Flutter: 58dd7d1b27887414a370fcccb9e645c08ffd7a6a
flutter_secure_storage: 0c5779648ff644110e507909b77a57e620cbbf8b
FMDB: 2ce00b547f966261cd18927a3ddb07cb6f3db82a
lonegpg: 3fae05daca81a945c1d54afac16c56125c23086c
path_provider: f96fff6166a8867510d2c25fdcc346327cc4b259
shared_preferences: 1feebfa37bb57264736e16865e7ffae7fc99b523
sqflite: ff1d9da63c06588cc8d1faf7256d741f16989d5a
......
......@@ -282,6 +282,7 @@
"${BUILT_PRODUCTS_DIR}/FMDB/FMDB.framework",
"${PODS_ROOT}/../.symlinks/flutter/ios/Flutter.framework",
"${BUILT_PRODUCTS_DIR}/flutter_secure_storage/flutter_secure_storage.framework",
"${BUILT_PRODUCTS_DIR}/lonegpg/lonegpg.framework",
"${BUILT_PRODUCTS_DIR}/path_provider/path_provider.framework",
"${BUILT_PRODUCTS_DIR}/shared_preferences/shared_preferences.framework",
"${BUILT_PRODUCTS_DIR}/sqflite/sqflite.framework",
......@@ -293,6 +294,7 @@
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/FMDB.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/Flutter.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/flutter_secure_storage.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/lonegpg.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/path_provider.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/shared_preferences.framework",
"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/sqflite.framework",
......@@ -378,7 +380,7 @@
GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
GCC_WARN_UNUSED_FUNCTION = YES;
GCC_WARN_UNUSED_VARIABLE = YES;
IPHONEOS_DEPLOYMENT_TARGET = 8.0;
IPHONEOS_DEPLOYMENT_TARGET = 9.0;
MTL_ENABLE_DEBUG_INFO = NO;
SDKROOT = iphoneos;
TARGETED_DEVICE_FAMILY = "1,2";
......@@ -459,7 +461,7 @@
GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
GCC_WARN_UNUSED_FUNCTION = YES;
GCC_WARN_UNUSED_VARIABLE = YES;
IPHONEOS_DEPLOYMENT_TARGET = 8.0;
IPHONEOS_DEPLOYMENT_TARGET = 9.0;
MTL_ENABLE_DEBUG_INFO = YES;
ONLY_ACTIVE_ARCH = YES;
SDKROOT = iphoneos;
......@@ -507,7 +509,7 @@
GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
GCC_WARN_UNUSED_FUNCTION = YES;
GCC_WARN_UNUSED_VARIABLE = YES;
IPHONEOS_DEPLOYMENT_TARGET = 8.0;
IPHONEOS_DEPLOYMENT_TARGET = 9.0;
MTL_ENABLE_DEBUG_INFO = NO;
SDKROOT = iphoneos;
SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
......
......@@ -4,6 +4,7 @@ import '../models/folder.dart';
import '../models/envelope.dart';
import '../models/body.dart';
import '../resources/mail_repository.dart';
import 'package:lonegpg/lonegpg.dart';
import 'dart:async';
class MailBloc {
......@@ -49,6 +50,11 @@ class MailBloc {
} else {
addAccount(account);
}
final version = await Lonegpg.version;
final gpgmeVersion = await Lonegpg.gpgmeVersion;
print("gpgme version: $gpgmeVersion");
}
// Sinks ( inputs to modify the stream )
......
......@@ -56,14 +56,14 @@ packages:
name: crypto
url: "https://pub.dartlang.org"
source: hosted
version: "2.0.6"
version: "2.1.1+1"
csslib:
dependency: transitive
description:
name: csslib
url: "https://pub.dartlang.org"
source: hosted
version: "0.15.0"
version: "0.16.1"
cupertino_icons:
dependency: "direct main"
description:
......@@ -177,7 +177,7 @@ packages:
description:
path: "."
ref: HEAD
resolved-ref: b0c1619b60c0e868331f9057851ac5675b7aeccd
resolved-ref: "7f980e39105f8182e6c9482718190fdf08e0381f"
url: "git@source.puri.sm:thomas.markiewicz/lonegpg.git"
source: git
version: "0.0.1"
......@@ -215,7 +215,7 @@ packages:
name: node_preamble
url: "https://pub.dartlang.org"
source: hosted
version: "1.4.4"
version: "1.4.6"
package_config:
dependency: transitive
description:
......@@ -243,7 +243,7 @@ packages:
name: path_provider
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.2"
version: "1.2.0"
pedantic:
dependency: transitive
description:
......@@ -346,7 +346,7 @@ packages:
name: sqflite
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.6+2"
version: "1.1.6+3"
stack_trace:
dependency: transitive
description:
......@@ -416,7 +416,7 @@ packages:
name: url_launcher
url: "https://pub.dartlang.org"
source: hosted
version: "5.1.0"
version: "5.1.2"
vector_math:
dependency: transitive
description:
......@@ -430,7 +430,7 @@ packages:
name: vm_service_client
url: "https://pub.dartlang.org"
source: hosted
version: "0.2.6+2"
version: "0.2.6+3"
watcher:
dependency: transitive
description:
......@@ -444,14 +444,14 @@ packages:
name: web_socket_channel
url: "https://pub.dartlang.org"
source: hosted
version: "1.0.14"
version: "1.0.15"
webview_flutter:
dependency: "direct main"
description:
name: webview_flutter
url: "https://pub.dartlang.org"
source: hosted
version: "0.3.10+3"
version: "0.3.11+3"
yaml:
dependency: transitive
description:
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment